import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { MEMessageActionFlag } from "./MEMessageActionFlag.js";
import type { MEMessageActionMessageColor } from "./MEMessageActionMessageColor.js";
export declare class _MEMessageAction extends _NSObject {
    static alloc(): _MEMessageAction;
    static new(): _MEMessageAction;
    init(): _MEMessageAction;
    /** Marks the message as flagged with the provided color. */
    static flagActionWithFlag$(flag: MEMessageActionFlag): _MEMessageAction;
    /** Adds a color to the message when shown in the message list. */
    static setBackgroundColorActionWithColor$(color: MEMessageActionMessageColor): _MEMessageAction;
    /** Moves the mail message to the user's trash mailbox for the account. */
    static moveToTrashAction(): _MEMessageAction;
    /** Moves the mail message to the user's archive mailbox for the account. */
    static moveToArchiveAction(): _MEMessageAction;
    /** Moves the mail message to the user's junk mailbox for the account. */
    static moveToJunkAction(): _MEMessageAction;
    /** Marks the mail message as read. */
    static markAsReadAction(): _MEMessageAction;
    /** Marks the mail message as unread. */
    static markAsUnreadAction(): _MEMessageAction;
}
export interface _MEMessageAction extends _NSSecureCoding {
}
